> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-eu-instance.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

> Delete the whole assignment. The subject falls back to the rules and the
 tenant default.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/funds/assignments/{user_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/funds/assignments/{user_id}:
    delete:
      tags:
        - Fund Assignments
      summary: Delete
      description: |-
        Delete the whole assignment. The subject falls back to the rules and the
         tenant default.
      operationId: c1.api.funds.v1.FundAssignmentService.Delete
      parameters:
        - in: path
          name: user_id
          required: true
          schema:
            description: The userId field.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.funds.v1.FundAssignmentServiceDeleteRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.funds.v1.FundAssignmentServiceDeleteResponse
          description: Successful response
components:
  schemas:
    c1.api.funds.v1.FundAssignmentServiceDeleteRequestInput:
      description: The FundAssignmentServiceDeleteRequest message.
      title: Fund Assignment Service Delete Request
      type: object
      x-speakeasy-name-override: FundAssignmentServiceDeleteRequest
    c1.api.funds.v1.FundAssignmentServiceDeleteResponse:
      description: The FundAssignmentServiceDeleteResponse message.
      title: Fund Assignment Service Delete Response
      type: object
      x-speakeasy-name-override: FundAssignmentServiceDeleteResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````